{combine_css path=$FOLDER_CALENDAR_PATH|cat:'admin/template/style.css'}

{include file='include/datepicker.inc.tpl'}
{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}

{combine_css path='themes/default/js/plugins/jquery.tokeninput.css'}
{combine_script id='jquery.tokeninput' load='footer' require='jquery' path='themes/default/js/plugins/jquery.tokeninput.js'}

{combine_css path='themes/default/js/plugins/chosen.css'}
{combine_script id='jquery.chosen' load='footer' path='themes/default/js/plugins/chosen.jquery.min.js'}


{assign var="datepicker_language" value="themes/default/js/ui/i18n/jquery.ui.datepicker-`$lang_info.code`.js"}


{footer_script require='jquery'}
	pwg_initialization_datepicker("#start_day", "#start_month", "#start_year", "#start_linked_date", null, null, "#end_linked_date");
	pwg_initialization_datepicker("#end_day", "#end_month", "#end_year", "#end_linked_date", null, "#start_linked_date", null);

var addFilter = (function($){
  var count=0,
      limit_count=0,
      level_count=0;

  // MAIN EVENT HANDLERS






  // DECLARE JQUERY PLUGINS AND VERSATILE HANDLERS
  function init_jquery_handlers($block) {
    // remove filter
    $block.find(".removeFilter").click(function() {
      var type = $(this).next("input").val();

      if (type == 'limit') {
        limit_count=1;
        $("#addFilter option[value='limit']").removeAttr('disabled');
      }
      else if (type == 'level') {
        level_count=1;
        $("#addFilter option[value='level']").removeAttr('disabled');
      }

      $(this).parents('li').remove();
      return false;
    });

    // date filter
    if ($block.hasClass('filter_date')) {
      $block.find("input[type='text']").each(function() {
        $(this).datepicker({
          dateFormat:'yy-mm-dd',
          firstDay:1
        });
      });
    }

    // tags filter
    if ($block.hasClass('filter_tags')) {
      $block.find(".tagSelect").tokenInput(
        [{foreach from=$all_tags item=tag name=tags}{ name:"{$tag.name|escape:javascript}", id:"{$tag.id}" }{if !$smarty.foreach.tags.last},{/if}{/foreach}],
        {
          hintText: '{'Type in a search term'|translate}',
          noResultsText: '{'No results'|translate}',
          searchingText: '{'Searching...'|translate}',
          animateDropdown: false,
          preventDuplicates: true,
          allowFreeTagging: false
        }
      );
    }
  }


  // GENERAL FUNCTIONS
  function change_dimension_info($block, values, text) {
    $block.find("input[name$='[value][min]']").val(values[0]);
    $block.find("input[name$='[value][max]']").val(values[1]);
    $block.find(".filter_dimension_info").html(sprintf(text, values[0], values[1]));
  }

  function countImages(form) {
    jQuery.post("{$COUNT_SCRIPT_URL}", 'cat_id={$CAT_ID}&'+form.serialize(),
      function success(data) {
        jQuery('.count_images_wrapper').html(data);
      }
    );
  }

  return add_filter; // expose add_filter method
}(jQuery));


{/footer_script}


<div class="titrePage">
  <h2><span style="letter-spacing:0">{$CATEGORIES_NAV}</span> &#8250; {'Edit album'|translate} [SmartAlbum]</h2>
</div>

<noscript>
  <div class="errors"><ul><li>JavaScript required!</li></ul></div>
</noscript>

<div id="batchManagerGlobal">
<form action="{$F_ACTION}" method="POST" id="calendar">
  <p style="text-align:left;"><label><input type="checkbox" name="is_calendar" {if ($active_calendar == true)}checked="checked"{/if}  value="true"/> {'CalendarAlbum'|translate}</label></p>

  <fieldset id="Calendar_options" style="margin-top:1em;">
    <legend>{'Calendar option'|translate}</legend>
  <ul>
    <li><label>{'Begin-Date'|@translate}</label></li>
 
      <select id="start_day" name="start_day">
        <option value="0">--</option>
        {section name=day start=1 loop=32}
        <option value="{$smarty.section.day.index}" {if $smarty.section.day.index==$START_DAY_SELECTED}selected="selected"{/if}>{$smarty.section.day.index}</option>
        {/section}
      </select>
      
      <select id="start_month" name="start_month">
      {html_options options=$month_list selected=$START_MONTH_SELECTED}
      </select>

      <input id="start_year" name="start_year" value="{$START_YEAR}" type="text" size="4" maxlength="4" >
      <input id="start_linked_date" name="start_linked_date" type="hidden" size="10" disabled="disabled">

  </ul>
  <ul>
    <li><label>{'End-Date'|@translate}</label></li>
      <select id="end_day" name="end_day">
        <option value="0">--</option>
        {section name=day start=1 loop=32}
        <option value="{$smarty.section.day.index}" {if $smarty.section.day.index==$END_DAY_SELECTED}selected="selected"{/if}>{$smarty.section.day.index}</option>
        {/section}
      </select>
      <select id="end_month" name="end_month" >
      {html_options options=$month_list selected=$END_MONTH_SELECTED}
      </select>
      <input id="end_year" name="end_year" value="{$END_YEAR}" type="text" size="4" maxlength="4" >
      <input id="end_linked_date" name="end_linked_date" type="hidden" size="10" disabled="disabled">
  </ul>

  </fieldset>

  <p class="actionButtons" id="applyFilterBlock">
    <input class="submit" type="submit" value="{'Save'|translate}" name="submitCalendar"/>
  </p>

</form>
</div>

<div id="filtersRepo" style="display:none;">
  {include file=$FOLDER_CALENDAR_ABS_PATH|cat:'admin/template/filters.inc.tpl'}
</div>